{{
'
' Test Using BS2. features
' By: Andrew Keson
' BS2 Function Library Main Author: Martin Hebel.

' -----[ Program Description ]---------------------------------------------
'
}}

' -----[ Initialization ]--------------------------------------------------    

CON

_clkmode          = xtal1 + pll16x
_xinfreq          = 5_000_000


' -----[ I/O Definitions ]-------------------------------------------------


' -----[ Constants ]-------------------------------------------------------


' -----[ I/O Definitions ]-------------------------------------------------

LeftServo         = 0           
Led               = 1

' -----[ Constants ]-------------------------------------------------------

                   
VAR                             ' Global Variables and Cog Stack Space
  Long stack0[50],stack1[50],stack2[50],stack3[50]

  Long LeftWheel, RightWheel

' -----[ Variables ]-------------------------------------------------------



OBJ  

   BS2: "BS2_NewFunctions"         ' Create BS2 Object


PUB Start | x
  
 
 BS2.start (31,30)           ' Initialize BS2 Object, Rx and Tx pins for DEBUG
 
 CogNew(Wheels, @Stack0)     'starts a new micro controler :)
 CogNew(lights, @Stack1)
 CogNew(bea, @Stack2)
 Coginit(tea, @Stack3,0)     ' This acts as a stand alone micro controler
Repeat
                             ' Stay alive
PUB Wheels
repeat   
'
' *Note: Adjust the potentiometers on the bottom of each servo so the value of stop is set.
'

   BS2.PULSOUT( LeftServo, 850)      'stop= 760, fwd= 762, rev= 758        'This works just like the BS2 :
   BS2.Pause(20)
  
PUB lights
repeat       'Be carefull to indent the lines following repeat so that the function knows what to repeat
 BS2.High(16)
 BS2.pause(50)
 BS2.Low (16)
 BS2.Pause(50)
 
PUB bea         
repeat 
  BS2.High(1)
  BS2.High(23)
  BS2.Pause(1000)
  BS2.Low (1)
  BS2.low(23)
  BS2.Pause(1000)
Pub Tea
 BS2.High(18)
 BS2.pause(50)
 BS2.Low (18)
 BS2.Pause(50)
Coginit(Tea, @Stack3,0)    'used to restart the cog/micro :) 
  